{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>

{% endblock %}


{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Guruku
        {% endblock %}

    {% endembed %}

    {% if trans == null %}
        {#    Tagihan#}
        <section class="container-fluid mt-5">

            <p class="f12 font-weight-bold text-center mt-5">Kamu Belum Memiliki Guru Aktif</p>
            <p class="f10 text-black-50 text-center">Silahkan berlangganan guru les privat sekarang untuk membantu kamu
                belajar.</p>
            <a href="/" class="bt-accent mb-5 d-block mt-5">Cari Guru Les Privat</a>
            <div style="height: 100vh"></div>
        </section>
    {% else %}
        <section class="mt-3">
            <div class="scrolling-wrapper">
                <div style="border: none !important;" class="items  ml-3">
                    <input class="checkbox-jam check-status" type="radio" name="status" id="aktif" value="1" checked>
                    <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                           for="aktif">
                        <p class="mb-0 f08">Aktif</p>
                    </label>
                </div>

                <div style="border: none !important;" class="items">
                    <input class="checkbox-jam check-status" type="radio" name="status" id="radio-paket1" value="all"
                           >
                    <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                           for="radio-paket1">
                        <p class="mb-0 f08">Semua</p>
                    </label>

                </div>
                <div style="border: none !important;" class="items">
                    <input class="checkbox-jam check-status" type="radio" name="status" id="pesananBaru" value="0">
                    <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                           for="pesananBaru">
                        <p class="mb-0 f08">Menunggu</p>
                    </label>
                </div>


                <div style="border: none !important;" class="items mr-3">
                    <input class="checkbox-jam check-status" type="radio" name="status" id="selesai" value="9">
                    <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                           for="selesai">
                        <p class="mb-0 f08">Selesai</p>
                    </label>

                </div>
            </div>
        </section>

        <section class="container-fluid mt-3" id="panel-transaction">

        </section>

        <section class="space-50h"></section>

    {% endif %}


{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        $(document).ready(function () {
            $('.paket').slick({
                arrows: false,
                centerMode: true,
                centerPadding: '20%',
                infinite: false,
                slidesToShow: 2,
                slidesToScroll: 3,
                variableWidth: true,
                initialSlide: 1,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            infinite: false,
                            centerPadding: '15%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true,
                            initialSlide: 1
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            mobileFirst: true,
                            infinite: false,
                            centerPadding: '10%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true,
                            initialSlide: 1
                        }
                    }
                ]
            });
        });
    </script>
    <script>
        function pesananContent(v) {
            let {id} = v;
            let name = v['skill']['user']['profile']['name'];
            let avatar = v['skill']['user']['profile']['generatedAvatar'] || location.origin + '/images/no-image.png';
            let category = v['skill']['category']['name'];
            let level = v['skill']['level']['name'];
            let status = '';
            let redirect = '/member/tentor/detail/' + id;
            switch (v['status']) {
                case 0:
                    status = 'Menunggu';
                    break;
                case 1:
                    status = 'Aktif';
                    break;
                case 6:
                    status = 'Batal';
                    break;
                case 9:
                    status = 'Selesai';
                    break;
                default:
                    break;
            }
            let classStatus = status.toLowerCase().replaceAll(' ', '-');
            return '<a class="d-block" href="' + redirect + '">\n' +
                '                <div style="border-radius: 10px; box-shadow: 0 2px 10px var(--shadowColor1); margin-bottom: 1em">\n' +
                '    <div style="padding: 1em">\n' +
                '        <div class="header-profile mb-0">\n' +
                '            <div class="gambar-div">\n' +
                '                <img src="' + avatar + '">\n' +
                '            </div>\n' +
                '            <div class="content justify-content-between">\n' +
                '                <div>\n' +
                '   <p class="title">' + name + '</p>\n' +
                '   <p class="subtitle mb-0">' + category + ' - ' + level + '</p>\n' +
                '                </div>\n' +
                '                <p class="' + classStatus + ' f08 mb-0 ml-auto">\n' + status +
                '                </p>\n' +
                '            </div>\n' +
                '        </div>\n' +
                '    </div>\n' +
                '</div>\n' +
                '            </a>';
        }

        function emptyContent(text = 'Maaf Tidak Ada Transaksi') {
            return '<div class="d-flex justify-content-center align-items-center" style="min-height: 300px">' + text +
                '</div>'
        }

        async function getTransaction() {
            let status = $('input[name=status]:checked').val();
            let el = $('#panel-transaction');
            el.empty();
            el.append(createLoading('Tunggu Sebentar Sedang Mengunduh Daftar Guru Kamu...'))
            let response = await $.get('/member/transaction/data', {status});
            console.log(response)
            el.empty();
            if (response['code'] === 200) {
                let payload = response['payload'];
                if (payload.length > 0) {
                    $.each(payload, function (k, v) {
                        el.append(pesananContent(v));
                    });
                } else {
                    el.append(emptyContent());
                }
            } else {
                el.append(emptyContent('Terjadi Kesalahan'))
            }
        }

        $(document).ready(function () {
            getTransaction();
            $('.check-status').on('click', function () {
                getTransaction();
            })
        })
    </script>

{% endblock %}